跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Training

Forward and backward pass

POST /fine_tuning/sessions/{sessionId}/forward_backward

Submit a mini-batch for a combined forward and backward pass. Gradients accumulate until an optimizer step is issued. Poll the returned request identifier for the result.

標頭參數

Foundry-Features enum 必要

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

FineTuningSessions=V1Preview

路徑參數

sessionId string 必要

Identifier of the fine-tuning session that will process the batch.

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

Training batch and loss configuration for the forward-backward pass.

Content-Type: application/json
forward_backward_input SessionFineTuning.ForwardBackwardInput 必要

Inner payload for a forward-backward request.

data SessionFineTuning.FineTuningDatum[] 必要

Training examples to process in this batch.

loss_fn string | enum 必要

Supported loss functions for forward-backward passes.

以下任何一項:
string
enum
cross_entropyimportance_samplingppocisposapo
loss_fn_config SessionFineTuning.LossFnConfig

Optional per-loss-function hyper-parameters.

clip_low_threshold number

PPO (Proximal Policy Optimization) / CISPO (Clipped Importance-Sampled Policy Optimization): lower clip threshold.

clip_high_threshold number

PPO (Proximal Policy Optimization) / CISPO (Clipped Importance-Sampled Policy Optimization): upper clip threshold.

tau_pos number

SAPO (Soft Adaptive Policy Optimization): positive advantage temperature.

tau_neg number

SAPO (Soft Adaptive Policy Optimization): negative advantage temperature.

回覆

The request has succeeded.

主體

Content-Type: application/json
request_id string 必要

Request identifier to pass to the session's request-status endpoint.

status enum 必要

Indicates that the request has not yet completed.

pending
session_id string 必要

Identifier of the session processing this request.

Client error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

標題

x-ms-error-code string

String error code indicating what went wrong.

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /fine_tuning/sessions/{sessionId}/forward_backward HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026